Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Update dependencies for Rails 3.1.0+ #12

Merged
merged 1 commit into from

2 participants

@bokmann
Owner

ok, sorry for the delay. I just took a closer look at your pull request. Thanks a lot for this... Here's what I'm going to do to keep backwards compatibility for the few people who need it - I'm going to issue a new release this weekend with appropriate deprecation warnings, and make that the last version thats supported on older stuff, apply your patch, bump the version again, and release. There will be a latest and great for legacy support, and a latest and greatest with this pullup for the world moving forward. I'll have all that in the readme. Thanks for the hard work.

@bokmann bokmann referenced this pull request
Closed

1.9.3 compatible? #9

@bokmann bokmann merged commit 3624856 into bokmann:master
@3den

@bokmann thank you :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Feb 7, 2012
  1. @3den

    update the gem for Rails 3.1

    3den authored
This page is out of date. Refresh to see the latest.
View
14 Gemfile.lock
@@ -1,20 +1,26 @@
PATH
remote: .
specs:
- business_time (0.5.0.pre)
- activesupport (>= 2.0.0)
+ business_time (0.6.0)
+ activesupport (>= 3.1.0)
+ tzinfo (~> 0.3.31)
GEM
remote: http://rubygems.org/
specs:
- activesupport (2.3.4)
+ activesupport (3.2.1)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ i18n (0.6.0)
+ multi_json (1.0.4)
rake (0.9.2.2)
shoulda (2.11.3)
+ tzinfo (0.3.31)
PLATFORMS
ruby
DEPENDENCIES
business_time!
- rake
+ rake (>= 0.9.2)
shoulda
View
2  Rakefile
@@ -27,7 +27,7 @@ end
task :default => :test
-require 'rake/rdoctask'
+require 'rdoc/task'
Rake::RDocTask.new do |rdoc|
version = File.exist?('VERSION') ? File.read('VERSION') : ""
View
7 business_time.gemspec
@@ -10,11 +10,12 @@ Gem::Specification.new do |s|
s.homepage = "http://github.com/bokmann/business_time"
s.authors = ["bokmann"]
s.email = "dbock@codesherpas.com"
-
+
s.files = `git ls-files -- {lib,rails_generators,LICENSE,README.rdoc}`.split("\n")
- s.add_dependency('activesupport','>= 2.0.0')
+ s.add_dependency('activesupport','>= 3.1.0')
+ s.add_dependency("tzinfo", "~> 0.3.31")
- s.add_development_dependency 'rake'
+ s.add_development_dependency "rake", ">= 0.9.2"
s.add_development_dependency "shoulda", ">= 0"
end
View
2  lib/business_time/version.rb
@@ -1,3 +1,3 @@
module BusinessTime
- VERSION = "0.5.0.pre"
+ VERSION = "0.6.0"
end
Something went wrong with that request. Please try again.